Page MenuHomePhabricator

Co-maintainers needed for VideoCutTool.
Open, HighPublic

Description

VideoCutTool aims to trim and crop on fly videos in Wikimedia commons, This tool is to perform trim, crop, rotate and audio disability and hosted in Wikimedia toolforge.

VideoCutTool v0.3 is live here: videocuttool.wmflabs.org
This tool is built and version 0.1 is released as a part of the Google Summer of Code-2019 and VideoCutTool version 0.3 is released in Virtual Wikimedia Hackathon 2020.

Technologies: ReactJS, NodeJS, ffmpeg,
More information can be found here: https://commons.wikimedia.org/wiki/Commons:VideoCutTool

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 11 2019, 3:54 PM

I am willing to maintain the tool. I have great experiences with toolsforge technologies like webservices and mediawiki technologies like mediawiki-apis, abuse-filter. But I also want to say that i only have intermediate knowledge of nodejs and basic knowledge of reactjs. I can only work with limit to make sure tool is up and no serious bug. Thanks :)

Thanks @Jayprakash12345 for showing your interest to maintain the tool, We are glad to welcome you to be as a co-maintainer of VideoCutTool, We shall discuss about the project goals soon.

Thanks @Jayprakash12345 There is still a fair bit of work to do to get the tool working across the board. For example it does not handle large files currently.

Hi @Jayprakash12345 VideoCutTool workboard can be found here, Please feel free to assign yourself if you are planning to work on this tasks.

Yes as per the @Doc_James feedback some times VideoCutTool is failing for the larger videos, there is also a phab task for this ticket here as a high priority.

Feel free to discuss with me for any further quires.

Hi @Gopavasanth, I can only work on this tool after next month. Currently, I am busy to implementing user script for Indic communities.

eranroz added a subscriber: eranroz.Dec 8 2019, 5:37 PM

@Gopavasanth thank you for your work implementing this nice tool!

To make sure @Jayprakash12345 have access to the tool, can you please add him as maintainer in
https://toolsadmin.wikimedia.org/tools/id/video-cut-tool
https://toolsadmin.wikimedia.org/tools/id/video-cut-tool-front-end
https://toolsadmin.wikimedia.org/tools/id/video-cut-tool-back-end
(or only the relevant project(s) - I didn't follow what project from the 3 need co-maintainer)

Before doing it, it is recommended to verify there are no "secrets" (your private data, your private passwords) in /data/project/video-cut-tool-front-end

@Gopavasanth Thank you, Happy New Year in advance \o/, will start work on the tool from new year :)

eranroz closed this task as Resolved.Dec 13 2019, 12:53 PM
eranroz claimed this task.

Thanks! moving the task to resolved.

Gopavasanth added a comment.EditedDec 13 2019, 5:17 PM

Also, Added @Jayprakash12345 as a collaborator/maintainer in both the code repos: VideoCutTool-front-end: and VideoCutTool-back-end

Gopavasanth updated the task description. (Show Details)Jan 2 2020, 5:03 PM
Gopavasanth updated the task description. (Show Details)May 20 2020, 4:45 AM
Gopavasanth reopened this task as Open.May 20 2020, 4:48 AM

As @Jayprakash12345 is busy these days, We are looking for active co-maintainers for the tool's technical maintenance.

Gopavasanth triaged this task as High priority.May 27 2020, 9:04 AM

As you already made some good contributions to the tool so pinging @Crutishnyk, @IAmNetx if you are interested as a technical co-maintainer to the tool?

Thank you, @Gopavasanth, for the high trust level to me, but currently, I can't accept this rank because I am busy with my projects. Sorry for the rejection.